package com.ruoyi.zongzhi.mapper;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcDengbaoUnit;

/**
 * 等保单位Mapper接口
 * 
 * @author ruoyi
 * @date 2023-08-10
 */
public interface TcDengbaoUnitMapper 
{
    /**
     * 查询等保单位
     * 
     * @param id 等保单位主键
     * @return 等保单位
     */
    public TcDengbaoUnit selectTcDengbaoUnitById(Long id);

    /**
     * 查询等保单位列表
     * 
     * @param tcDengbaoUnit 等保单位
     * @return 等保单位集合
     */
    public List<TcDengbaoUnit> selectTcDengbaoUnitList(TcDengbaoUnit tcDengbaoUnit);

    /**
     * 新增等保单位
     * 
     * @param tcDengbaoUnit 等保单位
     * @return 结果
     */
    public int insertTcDengbaoUnit(TcDengbaoUnit tcDengbaoUnit);

    /**
     * 修改等保单位
     * 
     * @param tcDengbaoUnit 等保单位
     * @return 结果
     */
    public int updateTcDengbaoUnit(TcDengbaoUnit tcDengbaoUnit);

    /**
     * 删除等保单位
     * 
     * @param id 等保单位主键
     * @return 结果
     */
    public int deleteTcDengbaoUnitById(Long id);

    /**
     * 批量删除等保单位
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcDengbaoUnitByIds(Long[] ids);
}
